import request from '@/utils/request';
import { AxiosPromise } from 'axios';

// 岗位管理近日发布数量报表数据项
export interface TrendData {
  date: string;
  count: number;
}

/**
 * 获取岗位管理近日发布数量报表
 */
export function getPostRecentStats(): AxiosPromise<TrendData[]> {
  return request({
    url: '/main/dashboard/postRecentStats',
    method: 'get'
  });
}

/**
 * 获取测评管理总发布数量报表
 */
export function getEvaluationTotalStats(): AxiosPromise<number> {
  return request({
    url: '/main/dashboard/evaluationTotalStats',
    method: 'get'
  });
}

/**
 * 获取当前租户/公司的员工人数
 */
export function getCompanyStats(): AxiosPromise<number> {
  return request({
    url: '/main/dashboard/companyStats',
    method: 'get'
  });
}

/**
 * 获取当前租户的部门数量
 */
export function getDeptStats(): AxiosPromise<number> {
  return request({
    url: '/main/dashboard/deptStats',
    method: 'get'
  });
}

/**
 * 获取昨日加入公司人数
 */
export function getUserYesterdayStats(): AxiosPromise<number> {
  return request({
    url: '/main/dashboard/userYesterdayStats',
    method: 'get'
  });
}
